aboutsummaryrefslogtreecommitdiff
path: root/package/gcr/Config.in
blob: cd40ca18f6c25c6c2dc4357e3e2906995d9a84a3 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
config BR2_PACKAGE_GCR
	bool "gcr"
	depends on BR2_USE_WCHAR # libglib2
	depends on BR2_TOOLCHAIN_HAS_THREADS # libglib2
	depends on BR2_USE_MMU # libglib2
	depends on !BR2_STATIC_LIBS # p11-kit
	select BR2_PACKAGE_GNUPG2 # runtime
	select BR2_PACKAGE_LIBGCRYPT
	select BR2_PACKAGE_LIBGLIB2
	select BR2_PACKAGE_P11_KIT
	help
	  Library for cryptographic UIs and accessing PKCS#11 modules.

	  https://developer.gnome.org/gcr/

comment "gcr needs a toolchain w/ wchar, threads, dynamic library"
	depends on BR2_USE_MMU
	depends on !BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS || \
		BR2_STATIC_LIBS